Bug 520559

Summary: Marvell Yukon Ethernet driver (sky2) does not wake up after resume
Product: [Fedora] Fedora Reporter: Andrew Zabolotny <anpaza>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: itamar, kernel-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 14:25:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
kernel log for suspend/resume none

Description Andrew Zabolotny 2009-09-01 06:22:47 UTC
Description of problem:
After going to suspend mode when computer resumes work the sky2 driver does not wake up the hardware. The LED on the network switch doesn't even light up.

Version-Release number of selected component (if applicable):
kernel-2.6.29.6-217.2.16.fc11.x86_64, also think it started somewhere around 2.6.29.

How reproducible:
Always

Steps to Reproduce:
1. System -> Shutdown -> Suspend
2. Wait for the power to turn off
3. Power on the computer again
4. Try some network activity - ping your gateway, for example
  
Actual results:
Network does not work

Expected results:
Should work :)

Additional info:
I'm using the card in a bridged configuration (eth0 attached to br0). Not sure if this matters but thought I should mention it.

In kernel log during suspend I can see this:

Sep  1 10:13:20 zap kernel: sky2 eth0: disabling interface
...
Sep  1 10:13:41 zap kernel: sky2 0000:03:00.0: PME# disabled

[suspend, resume]

Sep  1 10:14:07 zap kernel: sky2 eth0: enabling interface
...
Sep  1 10:14:09 zap kernel: sky2 eth0: Link is up at 100 Mbps, full duplex, flow control both

I'll attach the full kernel log.

If you do a 'service network restart' the ethernet card is reset and starts working.

Comment 1 Andrew Zabolotny 2009-09-01 06:23:38 UTC
Created attachment 359355 [details]
kernel log for suspend/resume

Comment 2 Andrew Zabolotny 2009-09-08 04:49:45 UTC
upgraded to kernel 2.6.30.5-43.fc11.x86_64, the bug is still there.

Comment 3 Bug Zapper 2010-04-28 10:06:52 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:25:41 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.